[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.ReadData

ReadData - reads data for the Graphic from a stream.

## Declaration

Source position: graphics.pp line 818

`protected procedure TGraphic.ReadData(`
`Stream: TStream`
`); virtual;`

## Arguments

`Stream` |  | TStream instance where data for the graphic is stored.

## Description

ReadData is a procedure used to read binary data for the graphic from the specified stream. It is used by the TFiler instance which loads data during component streaming.

ReadData calls LoadFromStream to complete the operation.

## See also

TGraphic.LoadFromStream |  | Reads graphic data from a stream.
TGraphic.WriteData |  | Writes the data for the Graphic to a stream.